Page MenuHomeVyOS Platform

Interface geneve conf-mode error
Closed, ResolvedPublicBUG

Description

Trying add geneve interface

sever@r11-ansible# compare 
[edit interfaces]
+geneve gnv1 {
+    address 1.0.2.1/32
+    remote 10.0.0.2
+    vni 0
+}
[edit]
sever@r11-ansible#

Error

['Traceback (most recent call last):\n', '  File "/usr/libexec/vyos/conf_mode/interfaces-geneve.py", line 169, in <module>\n    apply(c)\n', '  File "/usr/libexec/vyos/conf_mode/interfaces-geneve.py", line 138, in apply\n    g = GeneveIf(geneve[\'intf\'], **conf)\n', '  File "/usr/lib/python3/dist-packages/vyos/ifconfig/interface.py", line 214, in __init__\n    self._create()\n', '  File "/usr/lib/python3/dist-packages/vyos/ifconfig/geneve.py", line 49, in _create\n    self._cmd(cmd)\n', '  File "/usr/lib/python3/dist-packages/vyos/ifconfig/control.py", line 48, in _cmd\n    return cmd(command, self.debug)\n', '  File "/usr/lib/python3/dist-packages/vyos/util.py", line 139, in cmd\n    raise OSError(code, feedback)\n', 'OSError: [Errno 255] failed to run command: ip link add name gnv1 type geneve id 0 remote \nreturned: \nexit code: 255\n']

[[interfaces geneve gnv1]] failed
Commit failed
[edit]

Details

Difficulty level
Normal (likely a few hours)
Version
VyOS 1.3-rolling-202004210117
Why the issue appeared?
Implementation mistake
Is it a breaking change?
Perfectly compatible

Related Objects

StatusSubtypeAssignedTask
OpenBUGNone
ResolvedBUGthomas-mangin

Event Timeline

Viacheslav renamed this task from Geneve conf-mode error to Interface geneve conf-mode error.Apr 21 2020, 3:01 PM
Viacheslav created this task.
c-po changed the task status from Open to In progress.Apr 21 2020, 3:07 PM
c-po assigned this task to thomas-mangin.
c-po changed Difficulty level from Unknown (require assessment) to Normal (likely a few hours).
c-po changed Why the issue appeared? from Will be filled on close to Implementation mistake.
c-po changed Is it a breaking change? from Unspecified (possibly destroys the router) to Perfectly compatible.
thomas-mangin closed this task as Resolved.Apr 26 2020, 8:50 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.May 21 2020, 5:22 PM